module Rex
  module Server
    class JsonMessageSerializer
      def serialize(obj)
        obj = if obj.is_a?(Array)
          {
            type: "response",
            name: "validation.errors",
            data: obj.map(&:to_h)
          }
        else
          {
            type: "response",
            name: obj.class.name.split("::").last,
            data: obj.to_h
          }
        end
        obj.to_json
      end
    end
  end
end
